API reference
List customer orders
Customer order history with items, shipping address and payment totals
GET
/v1/customer/ordersCustomer order history with items, shipping address and payment totals
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/customer/orders"[ { "orderId": "string", "orderNumber": "string", "orderGroup": "string", "orderIds": [], "status": "string", "total": 0.1, "totalPaid": 0.1, "currencyCode": "string", "orderDate": "2019-08-24T14:15:22Z", "createdOn": "2019-08-24T14:15:22Z", "updatedOn": null, "paymentAt": null, "shippingAddress": { "name": null, "company": null, "address1": "string", "address2": null, "city": "string", "countryCode": "string", "province": null, "postalCode": null, "district": null, "phone": null, "latitude": null, "longitude": null, "metadata": null }, "shippingAddressSummary": null, "items": [ { "id": "string", "orderId": "string", "productId": null, "variantId": null, "title": "string", "subtitle": null, "thumbnail": null, "variantTitle": null, "productHandle": null, "quantity": 0.1, "unitPrice": 0.1, "total": 0.1, "status": "string" } ] }]